import urllib.request
import urllib.parse
import ast

#先对要缩短的网址进行urlencode
url = urllib.parse.quote("https://baidu.com")
#请求api接口对url进行缩短，
#key参数要替换成用户自己的key，expireDate、domain请根据自己的需求确定，具体见：https://3w.cn/api.html
req = urllib.request.Request("http://api.3wt.cn/api.htm?format=json&url="+url+"&key=用户自己的key登录后查看&expireDate=2021-06-20&domain=0",method="GET")
#获得请求结果
response = urllib.request.urlopen(req)
#获取返回的短网址
html = response.read().decode('utf-8')
#返回json格式的短网址信息{"code":"0","err":"","url":"http://2i.cn/4tsLD"}
print(html)
#见返回的json字符串转换成字典类型
result_dict = ast.literal_eval(html)

if result_dict['code'] == '0':
    #code为0代表成功
    print(result_dict['url'])
else:
    #否则生成失败
    print("生成失败")